Analytics

Get analytics

Counts emails created in the window by status; sent counts every email, whatever its status. inbox_rate is delivered / sent. Open and click tracking is not available.

GEThttps://api.sndr.sh/v1/analytics
Get analytics
curl 'https://api.sndr.sh/v1/analytics?range=7d' \
  -H "Authorization: Bearer $SNDR_API_KEY"
200OK
{
  "range":      "7d",
  "sent":       2140,
  "delivered":  2118,
  "bounced":    9,
  "failed":     11,
  "complained": 2,
  "inbox_rate": 0.9897,
  "as_of":      "2026-06-01T12:00:00Z"
}

Authorization

Authorizationstringheaderrequired

Bearer followed by your API key. Needs the read scope.

Query parameters

rangestring

Window: 1d | 7d | 30d | 90d. Default 30d (also used for unknown values). The window used is returned as range.

Errors

401unauthenticatedMissing or invalid API key.
403insufficient_scopeThe API key is missing the read scope.